<template>
  <q-page class="row items-center justify-evenly">
    <!-- <splash-screen
      :show="showSplash"
      logo="~assets/altair_logo.svg"
      title="ForceCAST Studio"
      color="#00aad4"
      :size="350"
      :fixed="true"
      style="z-index: 3"
    /> -->
    <div class="row col justify-around" style="min-height: 60vh">
      <div class="col column justify-start items-center">
        <div class="col-8 column justify-start items-center">
          <q-img class="col logo" src="~assets/altair_logo.svg" fit="contain" style="max-height: 200px" />
          <span class="col-2 text-h2 q-mt-xl nunito">ForceCAST Studio</span>

          <!-- <span class="col-2 text-h6 nunito text-italic text-weight-thin">Control systems evolved</span> -->
        </div>
        <!-- <q-card bordered class="col-4 row card" @click="$router.replace(entries[0].to)" style="min-height: 175px">
          <q-img :src="entries[0].image" fit="contain" class="col-4" />
          <div class="col column justify-center items-center">
            <div class="col-4 nunito text-h4 text-center">{{ entries[0].title }}</div>
            <div class="col-4 nunito text-body1 text-center">{{ entries[0].subtitle }}</div>
          </div>
        </q-card> -->
      </div>
      <div class="col column justify-evenly" style="min-height: 80vh">
        <q-card
          class="col-3 row card justify-evenly"
          v-for="(entry, index) in entries"
          :key="'entry' + index"
          @click="$router.replace(entry.to)"
        >
          <q-img :src="entry.image" fit="contain" class="col-2" />
          <div class="col-8 column justify-center items-center">
            <div class="nunito text-h5 text-center">{{ entry.title }}</div>
            <div class="nunito text-subtitle text-center">{{ entry.subtitle }}</div>
          </div>
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
//import SplashScreen from 'components/Splash.vue';

export default defineComponent({
  name: 'PageIndex',
  // components: {
  //   SplashScreen,
  // },
  setup() {
    const showSplash = ref(true);
    setTimeout(() => {
      showSplash.value = false;
    }, 500);

    const entries = [
      {
        title: 'Experiment',
        subtitle: 'Run a set of tasks while logging data',
        image: 'experiment.svg',
        to: '/experiment',
      },
      {
        title: 'Classic',
        subtitle: 'Review past experiments',
        image: 'icon_assets/menu_icons/classic.svg',
        to: '/classic',
      },
      {
        title: 'Library',
        subtitle: 'Review past experiments',
        image: 'icon_assets/menu_icons/library.svg',
        to: '/library',
      },
    ];

    return {
      showSplash,
      entries,
    };
  },
});
</script>

<style lang="sass" scoped>
.card
  width: 100%
  max-width: 600px
  height: 125px
  padding: 6px
  cursor: pointer
  transition: all .25s ease-in-out
  &:hover
    transform: scale(1.1)

.logo
  &:hover
    cursor: pointer
</style>
